using System;

namespace Client
{
	/// <summary>
	/// Exception thrown when the message does not contain the right format 
	/// </summary>
	public class MalformedMessageException : Exception
	{
		/// <summary>
		/// Constructor with 0 parameters
		/// </summary>
		public MalformedMessageException()
		{
		}
		
		/// <summary>
		/// Constructor with 1 parameter
		/// </summary>
		/// <param name="e">Contains error message to be displayed</param>
		public MalformedMessageException(string e) : base(e)
		{
		}

	}
}
