using System;

namespace Server
{
	/// <summary>
	/// Exception thrown when the server does not exist on a specified port
	/// </summary>
	public class ServerUnreachableException : Exception
	{
		/// <summary>
		/// Constructor with 0 parameters
		/// </summary>
		public ServerUnreachableException()
		{
		}
		
		/// <summary>
		/// Constructor with 1 parameters containing the error message
		/// </summary>
		/// <param name="e">Contains the error meesage to be displayed on the 
		/// screen</param>
		public ServerUnreachableException(string e) : base(e)
		{
		}
	}
}
