using System;

namespace Server
{
	/// <summary>
	/// An object containst a candidate's name and number of votes casted for him/her
	/// </summary>
	public class VoteTable
	{
		private string candidate;
		private int vote;

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="candidate">Name of the candidate</param>
		/// <param name="vote">number of votes casted</param>
		public VoteTable(string candidate, int vote)
		{
			this.candidate = candidate;
			this.vote = vote;
		}

		/// <summary>
		/// An access method for the candidate
		/// </summary>
		public string Candidate
		{
			get
			{
				return candidate;
			}
		}

		/// <summary>
		/// An access method for the number of votes for this candidate
		/// </summary>
		public int nVote
		{
			get
			{
				return vote;
			}
		}

	}
}
