using System;

namespace Server
{
	/// <summary>
	/// General Exception raised by the voting application.
	/// </summary>
	public class VotingAppException : Exception
	{
		/// <summary>
		/// Parameter with 0 arguments
		/// </summary>
		public VotingAppException()
		{
		}
		
		/// <summary>
		/// Constructor with 1 parameters containing the error message
		/// </summary>
		/// <param name="e">Contains the error meesage to be displayed on the 
		/// screen</param>
		public VotingAppException(string e) : base(e)
	{
	}
	}
}
